﻿--Author: 简繁
local _
--界面自动化
local function uiconfig()
    --恢复默认
    InterfaceOptionsFrame_SetAllToDefaults()

    --控制
	SetCVar("deselectOnClick",0) --目标锁定
    SetCVar("autoDismountFlying",1) --自动取消飞行
	SetCVar("autoClearAFK",1) --自动解除离开状态
    SetCVar("autoLootDefault",1) --自动拾取
	SetCVar("interactOnLeftClick",1) --左键点击操作
	SetCVar("lootUnderMouse",1) --鼠标位置打开拾取框	
    --战斗
    SetCVar("showTargetOfTarget",1) --目标的目标
    SetCVar("doNotFlashLowHealthWarning",1) --生命值过低时不闪烁屏幕
    SetCVar("lossOfControl",1) --失控警报
	SetCVar("autoSelfCast",1) --自动自我施法
    --显示
    SetCVar("statusText",1) --状态文字
    SetCVar("statusTextDisplay","NUMERIC")--头像状态文字形式："NUMERIC"数值"PERCENT"百分比"BOTH"同时显示
    --教程
    SetCVar("showTutorials",0)
    --社交
    SetCVar("profanityFilter",0) --语言过滤器
    SetCVar("spamFilter",0) --垃圾信息过滤
    SetCVar("guildMemberNotify",1) --公会成员提示
    SetCVar("showToastBroadcast",1) --通告更新
    SetCVar("showToastWindow",0) --显示浮窗
    --SetCVar("showTimestamps","[%H:%M:%S] ") --聊天时间戳
	SetCVar("whisperMode","inline")	--新的悄悄话
	SetCVar("chatBubbles",1)--聊天泡泡
	SetCVar("chatBubblesParty",1)--小队聊天泡泡
	
    --动作条
    SHOW_MULTI_ACTIONBAR_1="1" --左下方动作条
    SHOW_MULTI_ACTIONBAR_2="0" --右下方动作条
	SHOW_MULTI_ACTIONBAR_3="1" --右侧右边动作条
	SHOW_MULTI_ACTIONBAR_4="1" --右侧左边动作条
    InterfaceOptions_UpdateMultiActionBars() --刷新动作条
	SetCVar("lockActionBars",1)
	SetCVar("alwaysShowActionBars",1)--始终显示动作条
    SetCVar("countdownForCooldowns",1) --显示冷却时间
    --名字
	SetCVar("UnitNameOwn",1) --我的名字
	SetCVar("UnitNameFriendlySpecialNPCName", 1);
	SetCVar("UnitNameHostleNPC", 1);
	SetCVar("UnitNameInteractiveNPC", 1);
	SetCVar("UnitNameNPC", 0);
	SetCVar("ShowQuestUnitCircles", 1);
	SetCVar("UnitNameNonCombatCreatureName",1) --小动物小伙伴
	SetCVar("UnitNameFriendlyPlayerName",1) --友方玩家
	SetCVar("UnitNameFriendlyMinionName",1) --友方玩家仆从
	SetCVar("UnitNameEnemyPlayerName",1) --敌对玩家
	SetCVar("UnitNameEnemyMinionName",1) --敌对玩家仆从
	SetCVar("nameplateShowFriends",0) --友方玩家血条
	SetCVar("nameplateShowFriendlyMinions",0) --友方玩家仆从血条
	SetCVar("nameplateShowEnemies",1) --敌对玩家血条
	SetCVar("nameplateShowEnemyMinions",1) --敌对玩家仆从血条
	SetCVar("nameplateShowEnemyMinus",1) --敌对玩家杂兵血条
	SetCVar("nameplateShowAll",1) --显示所有姓名版
    SetCVar("nameplateShowSelf",0) --显示个人资源
	SetCVar("nameplateResourceOnTarget",0) --在敌方目标显示玩家资源
    SetCVar("ShowNamePlateLoseAggroFlash",1) --失去怪物威胁时闪烁
	SetCVar("nameplateMotion", 1) --姓名版1堆叠 0重叠
	--大姓名板 
    SetCVar("NamePlateHorizontalScale", 1.4) 
    SetCVar("NamePlateVerticalScale", 2.7) 
    NamePlateDriverFrame:UpdateNamePlateOptions() 
    InterfaceOptionsNamesPanelUnitNameplatesMakeLarger:SetValue(1) 
    --镜头
	SetCVar("cameraWaterCollision",0)--水体碰撞
    SetCVar("cameraSmoothStyle",0) --镜头跟随模式
	--易用性
    SetCVar("speechToText",0)	--语音转文本
	SetCVar("textToSpeech",0)	--文本转语音
	SetCVar("remoteTextToSpeech",0)	--在语音聊天中为我发言
	
    --团队界面配置
    SetCVar("useCompactPartyFrames",1) --使用团队风格的小队框体界面
    SetCVar("activeCUFProfile","主配置") --主配置
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "keepGroupsTogether", true) --保持小队相连
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayHealPrediction", true) --显示预计治疗
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPowerBar", true) --显示能量条
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayAggroHighlight", true) --高亮显示仇恨目标
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "useClassColors", true) --显示职业颜色
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPets", false) --显示宠物
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayMainTankAndAssist", false) --显示主坦克和主助理
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayBorder", false) --显示边框
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayOnlyDispellableDebuffs", false) --只显示可供驱散的负面效果
	SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameWidth", 130) --设置宽度
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameHeight", 64) --设置高度
    --自动套用于
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate2Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate3Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate5Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate10Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate15Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate25Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate40Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec1", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec2", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec3", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvP", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvE", true)
	SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", 350, "BOTTOM", 500, "LEFT", 300)
	
	local profiles = {};
	for i=1, GetNumRaidProfiles() do
		tinsert(profiles, GetRaidProfileName(i));
	end
	for i=1, #profiles do
		if profiles[i] ~= "主配置" then
		DeleteRaidProfile(profiles[i])
		end
	end
    --团队界面配置20人
	CreateNewRaidProfile("20")
	CompactUnitFrameProfiles_ActivateRaidProfile("20")
    SetCVar("useCompactPartyFrames",1) --使用团队风格的小队框体界面
    --SetCVar("activeCUFProfile","20")
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "keepGroupsTogether", true) --保持小队相连
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayHealPrediction", true) --显示预计治疗
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPowerBar", true) --显示能量条
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayAggroHighlight", true) --高亮显示仇恨目标
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "useClassColors", true) --显示职业颜色
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPets", false) --显示宠物
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayMainTankAndAssist", false) --显示主坦克和主助理
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayBorder", false) --显示边框
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayOnlyDispellableDebuffs", false) --只显示可供驱散的负面效果
	SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameWidth", 108) --设置宽度
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameHeight", 54) --设置高度
    --自动套用于
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate2Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate3Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate5Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate10Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate15Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate25Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate40Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec1", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec2", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec3", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvP", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvE", true)
	SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", 420, "BOTTOM", 320, "LEFT", 0)

    --团队界面配置40人
	CreateNewRaidProfile("40")
	CompactUnitFrameProfiles_ActivateRaidProfile("40")
    SetCVar("useCompactPartyFrames",1) --使用团队风格的小队框体界面
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "keepGroupsTogether", true) --保持小队相连
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayHealPrediction", true) --显示预计治疗
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPowerBar", true) --显示能量条
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayAggroHighlight", true) --高亮显示仇恨目标
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "useClassColors", true) --显示职业颜色
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPets", false) --显示宠物
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayMainTankAndAssist", false) --显示主坦克和主助理
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayBorder", false) --显示边框
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayOnlyDispellableDebuffs", false) --只显示可供驱散的负面效果
	SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameWidth", 72) --设置宽度
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameHeight", 36) --设置高度
    --自动套用于
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate2Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate3Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate5Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate10Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate15Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate25Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate40Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec1", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec2", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec3", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvP", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvE", true)
	SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", 510, "BOTTOM", 320, "LEFT", 0)
	
	--刷新设置
    CompactUnitFrameProfiles_SaveChanges(CompactUnitFrameProfiles)
    CompactUnitFrameProfiles_ApplyCurrentSettings()
end
local function raidframe()
       --团队界面配置
    SetCVar("useCompactPartyFrames",1) --使用团队风格的小队框体界面
    SetCVar("activeCUFProfile","主配置") --主配置
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "keepGroupsTogether", true) --保持小队相连
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayHealPrediction", true) --显示预计治疗
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPowerBar", true) --显示能量条
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayAggroHighlight", true) --高亮显示仇恨目标
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "useClassColors", true) --显示职业颜色
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPets", false) --显示宠物
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayMainTankAndAssist", false) --显示主坦克和主助理
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayBorder", false) --显示边框
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayOnlyDispellableDebuffs", false) --只显示可供驱散的负面效果
	SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameWidth", 130) --设置宽度
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameHeight", 64) --设置高度
    --自动套用于
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate2Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate3Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate5Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate10Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate15Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate25Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate40Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec1", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec2", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec3", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvP", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvE", true)
	SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", 350, "BOTTOM", 500, "LEFT", 300)
	
	local profiles = {};
	for i=1, GetNumRaidProfiles() do
		tinsert(profiles, GetRaidProfileName(i));
	end
	for i=1, #profiles do
		if profiles[i] ~= "主配置" then
		DeleteRaidProfile(profiles[i])
		end
	end
    --团队界面配置20人
	CreateNewRaidProfile("20")
	CompactUnitFrameProfiles_ActivateRaidProfile("20")
    SetCVar("useCompactPartyFrames",1) --使用团队风格的小队框体界面
    --SetCVar("activeCUFProfile","20")
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "keepGroupsTogether", true) --保持小队相连
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayHealPrediction", true) --显示预计治疗
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPowerBar", true) --显示能量条
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayAggroHighlight", true) --高亮显示仇恨目标
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "useClassColors", true) --显示职业颜色
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPets", false) --显示宠物
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayMainTankAndAssist", false) --显示主坦克和主助理
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayBorder", false) --显示边框
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayOnlyDispellableDebuffs", false) --只显示可供驱散的负面效果
	SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameWidth", 108) --设置宽度
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameHeight", 54) --设置高度
    --自动套用于
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate2Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate3Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate5Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate10Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate15Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate25Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate40Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec1", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec2", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec3", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvP", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvE", true)
	SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", 420, "BOTTOM", 320, "LEFT", 0)

    --团队界面配置40人
	CreateNewRaidProfile("40")
	CompactUnitFrameProfiles_ActivateRaidProfile("40")
    SetCVar("useCompactPartyFrames",1) --使用团队风格的小队框体界面
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "keepGroupsTogether", true) --保持小队相连
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayHealPrediction", true) --显示预计治疗
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPowerBar", true) --显示能量条
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayAggroHighlight", true) --高亮显示仇恨目标
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "useClassColors", true) --显示职业颜色
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayPets", false) --显示宠物
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayMainTankAndAssist", false) --显示主坦克和主助理
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayBorder", false) --显示边框
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "displayOnlyDispellableDebuffs", false) --只显示可供驱散的负面效果
	SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameWidth", 72) --设置宽度
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "frameHeight", 36) --设置高度
    --自动套用于
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate2Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate3Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate5Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate10Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate15Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate25Players", false)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivate40Players", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec1", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec2", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivateSpec3", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvP", true)
    SetRaidProfileOption(CompactUnitFrameProfiles.selectedProfile, "autoActivatePvE", true)
	SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", 510, "BOTTOM", 320, "LEFT", 0)

	--刷新设置
    CompactUnitFrameProfiles_SaveChanges(CompactUnitFrameProfiles)
    CompactUnitFrameProfiles_ApplyCurrentSettings()
end

--团队框架自动化命令 
SlashCmdList["RAIDFRAME"] = function() raidframe() end 
SLASH_RAIDFRAME1 = "/rd"

--界面自动化命令 
SlashCmdList["UICONFIGG"] = function() uiconfig(); uiconfig()end 
SLASH_UICONFIGG1 = "/sd"
SLASH_UICONFIGG2 = "/sdd"


--恢复默认按键
local function Bindings()
	LoadBindings(DEFAULT_BINDINGS)
	SaveBindings(1)
	--设置几个默认的
	SetBinding("F12","REPLY")
	SetBinding("F11","REPLY2")
	SetBinding("F9","TOGGLEAUTORUN")
	SetBinding("A","STRAFELEFT")
	SetBinding("D","STRAFERIGHT")
end

--删除所有宏
local function UIcfg()
   for i = 1,9999 do t=10000-i DeleteMacro(t) end    --删除所有宏

end 

-----删除宏和按键
StaticPopupDialogs.SC_MACRO = { 
        text = "你确定要删除所有宏并恢复默认按键？", 
        button1 = ACCEPT, 
        button2 = CANCEL, 
		--功能调用
        OnAccept =  function() Bindings(); UIcfg() end, 
        timeout = 0, 
        whileDead = 1, 
        hideOnEscape = true, 
        preferredIndex = 5, 
}
--斜杠线命令
SLASH_SCMACRO1 = "/sc" 
SLASH_SCMACRO2 = "/SC" 
SlashCmdList["SCMACRO"] = function() 
        StaticPopup_Show("SC_MACRO") 
end
-----删除宏
StaticPopupDialogs.SH_MACROO = { 
        text = "你确定要删除所有宏？", 
        button1 = ACCEPT, 
        button2 = CANCEL, 
		--功能调用
        OnAccept =  function() UIcfg() end, 
        timeout = 0, 
        whileDead = 1, 
        hideOnEscape = true, 
        preferredIndex = 5, 
}
--斜杠线命令
SLASH_SHMACROO1 = "/sh" 
SLASH_SHMACROO2 = "/SH" 
SlashCmdList["SHMACROO"] = function() 
        StaticPopup_Show("SH_MACROO") 
end


--竞技场
SlashCmdList["JJC"] = function() 
	for i = 100,120 do DeleteMacro(i) end
    for i = 1, 3 do
        DeleteMacro("框1")
		DeleteMacro("框2")
		DeleteMacro("框3")
    end
	CreateMacro("框1", "INV_MISC_QUESTIONMARK", "#showtooltips 变形术  \n/cast [target=arena1,exists]变形术;[target=boss1,exists]变形术",nil)
	CreateMacro("框2", "INV_MISC_QUESTIONMARK", "#showtooltips 变形术  \n/cast [target=arena2,exists]变形术;[target=boss2,exists]变形术",nil)
	CreateMacro("框3", "INV_MISC_QUESTIONMARK", "#showtooltips 变形术  \n/cast [target=arena3,exists]变形术;[target=boss3,exists]变形术",nil)
    --SetBindingMacro("NUMPAD9","框9")
	
	print("框体宏已加载!")
end 
SLASH_JJC1 = "/jjc"
SLASH_JJC2 = "/JJC"
SlashCmdList["JJCSC"] = function() 
    for i = 1, 3 do
        DeleteMacro("框1")
		DeleteMacro("框2")
		DeleteMacro("框3")
    end
	print("|cffFF0000框体宏已删除!|r")
end 
SLASH_JJCSC1 = "/jjcsc"
SLASH_JJCSC2 = "/JJCSC"