﻿ADDUIEVENT("PLAYER_ENTERING_WORLD", function()
if not AddUIDB.lfgkg  then return end
--双击申请
local function HookApplicationClick()
	if LFGListFrame.SearchPanel.SignUpButton:IsEnabled() then
		LFGListFrame.SearchPanel.SignUpButton:Click()
	end
	if (not IsAltKeyDown()) and LFGListApplicationDialog:IsShown() and LFGListApplicationDialog.SignUpButton:IsEnabled() then
		LFGListApplicationDialog.SignUpButton:Click()
	end
end

for i = 1, 10 do
	local Doubu = _G["LFGListSearchPanelScrollFrameButton"..i]
	if Doubu then
		Doubu:HookScript("OnDoubleClick", HookApplicationClick)
	end
end

--搜索页分数
local function formatMPlusRating(score)
    if not score or type(score) ~= "number" then
        score = 0
    end
    local shortScore =  score
    local formattedScore = C_ChallengeMode.GetDungeonScoreRarityColor(score):WrapTextInColorCode(shortScore)
    return formattedScore
end
hooksecurefunc("LFGListSearchEntry_Update", function(entry)
    local resultID = entry.resultID
    local resultInfo = C_LFGList.GetSearchResultInfo(resultID)
    local leaderName = resultInfo.leaderName
	entry.ActivityName:SetScale(.9)
	entry.ActivityName:SetWidth(200)
    entry.leaderMPlusRating = resultInfo.leaderOverallDungeonScore or 0
	local leaderMPlusRatingFormatted = formatMPlusRating(entry.leaderMPlusRating)
	if not entry.score then
	entry.score = entry:CreateFontString(nil, "ARTWORK")
	entry.score:SetFont(STANDARD_TEXT_FONT, 15, 'OUTLINE')
	end
	if entry.score then
	entry.score:SetText(leaderMPlusRatingFormatted) 
	end
	if (LFGListFrame.CategorySelection.selectedCategory == 2) then
	entry.score:SetPoint("LEFT", entry.Name, "LEFT", 162, -7)
	entry.score:Show() 
	elseif (LFGListFrame.CategorySelection.selectedCategory == 3) then
	entry.score:SetPoint("LEFT", entry.Name, "LEFT", 140, -7)
	entry.score:Show() 
	elseif (LFGListFrame.CategorySelection.selectedCategory == 6) then
	entry.score:SetPoint("LEFT", entry.Name, "LEFT", 140, -7)
	entry.score:Show() 
	else
	entry.score:Hide()
    end
end)

--被邀请自动进组
--local AddUIDB.lfgautoinv = true
local lfgab = CreateFrame("CheckButton", "自动进组", LFGListFrame.SearchPanel, "InterfaceOptionsCheckButtonTemplate")
lfgab:SetPoint("TOPRIGHT", LFGListFrame.SearchPanel, "TOPRIGHT", -150, 0)
lfgab.label = _G[lfgab:GetName() .. "Text"]
lfgab.label:SetText("自动进组")
lfgab:SetChecked(AddUIDB.lfgautoinv)
lfgab:SetScript("OnClick", function ( ... )
AddUIDB.lfgautoinv = lfgab:GetChecked()
end)
LFDRoleCheckPopup:SetScript("OnShow",function()
	if AddUIDB.lfgautoinv then
			LFDRoleCheckPopupAcceptButton:Click()
			print("|cff00BFFFLFG增强:|r|cff00FF00自动接受 |r"..LFDRoleCheckPopupDescriptionText:GetText())
	end
end)
LFGListInviteDialog:SetScript("OnShow",function(self) 
	local _, status, _, _, role = C_LFGList.GetApplicationInfo(self.resultID)
	if AddUIDB.lfgautoinv then
		if status=="invited" then
			self.AcceptButton:Click()
			print("|cff00BFFFLFG增强:|r|cff00FF00已加入队伍|r |cffFF0000"..self.GroupName:GetText().."|r |cffEEAEEE"..self.ActivityName:GetText().."|r ")
		end
		if status=="inviteaccepted" then
			self.AcknowledgeButton:Click()
			--print("|cff00BFFFLFG增强:|r|cff00FF00已加入队伍|r |cffFF0000"..self.GroupName:GetText().."|r |cffEEAEEE"..self.ActivityName:GetText().."|r ")
		end
	end
end)
--自动邀请
local autoinvlfg = false
local timea = 0
local invlfgbutton = CreateFrame("CheckButton", "自动邀请", LFGListFrame.ApplicationViewer, "InterfaceOptionsCheckButtonTemplate")
invlfgbutton:SetPoint("TOPRIGHT", LFGListFrame.ApplicationViewer, "TOPRIGHT", -150, 0)
invlfgbutton.label = _G[invlfgbutton:GetName() .. "Text"]
invlfgbutton.label:SetText("|cff00FF00自动邀请|r")
invlfgbutton:SetChecked(autoinvlfg)
invlfgbutton:SetScript("OnClick", function ( ... )
	autoinvlfg = invlfgbutton:GetChecked()
end)
hooksecurefunc("LFGListApplicationViewer_UpdateApplicantMember", function(button, id, index)
if autoinvlfg and UnitIsGroupLeader("player")  then 
	local applicantInfo = C_LFGList.GetApplicantInfo(id)
	local status = applicantInfo.applicationStatus
	local numMembers = applicantInfo.numMembers --申请人数
	local numInvited = C_LFGList.GetNumInvitedApplicantMembers() --已邀请人数
	local currentCount = GetNumGroupMembers(LE_PARTY_CATEGORY_HOME) --队伍人数
	if status == 'applied' and button:GetParent().numMembers then
		if numMembers+numInvited+currentCount >= 4 and not IsInRaid() then
			C_PartyInfo.ConvertToRaid()
		elseif numMembers+numInvited+currentCount <= 40 then
			button:GetParent().InviteButton:Click()
		end
		if GetTime() > timea+1 then
		C_Timer.After(.1,function()  
		LFGListFrame.ApplicationViewer.RefreshButton:Click()
		end)
		timea = GetTime()
		end
	end
end
end)

-- 隐藏并新建搜索按钮NGA@雨夜独行客https://bbs.nga.cn/read.php?pid=592309998&opt=128
LFGListFrame.CategorySelection.FindGroupButton:HookScript("OnShow", function(self)
	LFGListFrame.CategorySelection.FindGroupButton:Hide()
end)
local bu = CreateFrame("Button", nil, LFGListFrame.CategorySelection, "LFGListMagicButtonTemplate")
bu:SetText(LFG_LIST_FIND_A_GROUP)
bu:SetSize(135,22)
bu:SetPoint("BOTTOMRIGHT", -3, 4)
bu:SetScript("OnClick", function(self)
local panel = self:GetParent()
if not panel.selectedCategory then
return
end

local baseFilters = panel:GetParent().baseFilters
local searchPanel = panel:GetParent().SearchPanel
LFGListSearchPanel_SetCategory(searchPanel, panel.selectedCategory, panel.selectedFilters, baseFilters)
LFGListSearchPanel_DoSearch(searchPanel)
LFGListFrame_SetActivePanel(panel:GetParent(), searchPanel)
end)

--创建浏览队伍按钮
LFGListFrame.ApplicationViewer.BrowseGroupsButton:HookScript("OnShow", function(self)
	LFGListFrame.ApplicationViewer.BrowseGroupsButton:Hide()
end)
local retbu = CreateFrame("Button", nil, LFGListFrame.ApplicationViewer, "LFGListMagicButtonTemplate")
retbu:SetText("浏览队伍")
retbu:SetSize(140,22)
retbu:SetPoint("BOTTOMLEFT", 0, 4)
retbu:SetScript("OnClick", function()
LFGListFrame.ApplicationViewer.BrowseGroupsButton:Click()
end)

--修复双击申请导致转圈圈
hooksecurefunc("LFGListSearchPanel_UpdateResultList", function(self)
	if next(self.results) and next(self.applications) then
		for _, value in ipairs_reverse(self.applications) do
			local resultInfo = C_LFGList.GetSearchResultInfo(value)
			local _, status, _, _, role = C_LFGList.GetApplicationInfo(value)
			if status == "none" then
				tDeleteItem(self.applications, value)
			end
		self.totalResults = #self.results
		LFGListSearchPanel_UpdateResults(self)
		end
	end
end)
--预创建blz问题申请bug显示俩https://bbs.nga.cn/read.php?&tid=30832039&pid=591879748&to=1
hooksecurefunc("LFGListSearchPanel_UpdateResultList", function(self)
	if next(self.results) and next(self.applications) then
		for _, value in ipairs(self.applications) do
			tDeleteItem(self.results, value)

		end
		self.totalResults = #self.results
		
		LFGListSearchPanel_UpdateResults(self)
	end
end)
end)