--界面部分抄自rsplate
------------------
local myGUI = {}

myGUI.frame1 = CreateFrame("Frame", "MainGUI", InterfaceOptionsFrame)
myGUI.frame1.name = "AddUI"

local function newFont(offx, offy, createframe, anchora, anchroframe, anchorb, text, fontsize)
	local font = createframe:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	font:SetPoint(anchora, anchroframe, anchorb, offx, offy)
	font:SetText(text)
	font:SetFont("fonts\\ARHei.ttf", fontsize, "OUTLINE")	
	return font
end

local function newCheckbox(x, y, fatherframe, label, description, anchroframe, varname)
	local check = CreateFrame("CheckButton", "ADDUICheck" .. label, fatherframe, "InterfaceOptionsCheckButtonTemplate")
	check:SetPoint("TOPLEFT", anchroframe, "TOPLEFT", x, y)
	check.label = _G[check:GetName() .. "Text"]
	check.label:SetText(label)
	check.tooltipText = description

	
	local CheckStatus = AddUIDB[varname]
	check:SetChecked(CheckStatus)

	check:SetScript("OnClick", function ( ... )
		AddUIDB[varname] = check:GetChecked()
	end)
	-- check.tooltipRequirement = description
	return check
end


local function CreatePanel(frame)
	local clear = CreateFrame("Button", "AddUISaveButton", frame, "UIPanelButtonTemplate")
	clear:SetText("恢复默认并重载界面")
	clear:SetWidth(177)
	clear:SetHeight(24)
	clear:SetPoint("TOPLEFT", 442, 25)
	clear:SetScript("OnClick", function()
		AddUIDB = AddUIDefaultDB
		ReloadUI()
	end)
	local pcrl = CreateFrame("Button", "AddUIrl", frame, "UIPanelButtonTemplate")
	pcrl:SetText("重载")
	pcrl:SetWidth(92)
	pcrl:SetHeight(22)
	pcrl:SetPoint("BOTTOMRIGHT", -200, -36)
	pcrl:SetScript("OnClick", function()
		 ReloadUI()
	end)
	local qqun = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	qqun:SetPoint("BOTTOMLEFT", 40, -30)
	qqun:SetText("斗鱼:323075       QQ群:718148969")
	qqun:SetJustifyH("RIGHT")
	local ppc = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	ppc:SetPoint("TOPRIGHT", -5, -5)
	ppc:SetText("|cff00FF7F/ad|r快速打开此界面")
	ppc:SetJustifyH("RIGHT")
	ppc:SetFont(STANDARD_TEXT_FONT, 12, 'OUTLINE')

	AddUI = newFont(16, -15 , frame, "TOPLEFT", frame, "TOPLEFT", "AddUI", 30)
	AddUI2 = newFont(0, 5 , frame, "BOTTOMLEFT", AddUI, "BOTTOMRIGHT", "源生界面增强", 15)
	if not frame.somep then 
		frame.somep = frame:CreateFontString(nil, "OVERLAY");
	end
	frame.somep:SetFontObject("GameFontHighlight");
	frame.somep:SetPoint("TOPLEFT", frame, "TOPLEFT", 16, -50 );   
	frame.somep:SetJustifyH("LEFT")
	frame.somep:SetText("此界面只是一些功能的开关,并不是全部功能都在这\n/aa重载界面  /ab打开网格线  /rd配置团队框架\n/sc删除所有宏并恢复默认按键  /chat配置聊天框\n/sd配置esc-界面-里面的大部分东西");

	unitc = newCheckbox(16, -120, frame, "头像模块","改变头像样式", frame, "unitf")
	mytxc = newCheckbox(16, -150, frame, "方形头像","自己头像变为方形", frame, "myframestyle")
	ticoc = newCheckbox(16, -180, frame, "目标标记按钮","目标头像右边的几个标记按钮", frame, "icon")
	castc = newCheckbox(16, -210, frame, "施法条模块","改变施法条样式", frame, "cast")
	cascc = newCheckbox(16, -240, frame, "|cff00EE00彩虹施法条|r","自己施法条变为彩虹样式,需要开启施法条美化", frame, "castc")
	mmbbc = newCheckbox(16, -270, frame, "动作条模块","改变动作条样式", frame, "mmb")
	quesc = newCheckbox(16, -300, frame, "任务模块","略微改变任务框架样式", frame, "quest")
	smapc = newCheckbox(16, -330, frame, "小地图模块","方形小地图", frame, "smap")
	chatc = newCheckbox(16, -360, frame, "聊天窗模块","聊天窗口样式,tab可以切换聊天频道", frame, "chatm")
	chabc = newCheckbox(16, -390, frame, "聊天频道按钮","提供一行可以切换频道的按钮", frame, "chatb")
	jbtec = newCheckbox(16, -420, frame, "法术警报倒数","触发buff的括号上显示剩余时间,需要esc动作条-显示冷却时间", frame, "jbtext")
	shifc = newCheckbox(16, -450, frame, "Shift焦点","按shift鼠标指向可设置和拖动焦点", frame, "sf")
	jsnjc = newCheckbox(16, -480, frame, "角色面板耐久","C键面板装备栏下面的耐久度百分比", frame, "syd")
	
	lfctc = newCheckbox(226, -120, frame, "滚动战斗记录","中下偏右滚动受到伤害治疗提示", frame, "ct")
	combc = newCheckbox(226, -150, frame, "战斗提示","屏幕中间进入脱离战斗提示", frame, "comb")
	mizuc = newCheckbox(226, -180, frame, "密语自动邀请","别人密你123或者.组.会自动邀请,支持战网密语", frame, "zu")
	mizuc = newCheckbox(226, -210, frame, "自我打断通报","打断成功显示一行表情提示", frame, "stop")
	zdmhc = newCheckbox(226, -240, frame, "自动卖灰","自动卖垃圾", frame, "mh")
	lfgkc = newCheckbox(226, -270, frame, "|cff00BFFFLFG增强|r","|r|cff00FF00预创建双击申请,自动邀请,自动进组|r如果你用集合石,最好关闭此项", frame, "lfgkg")
	tbufc = newCheckbox(226, -300, frame, "目标头像所有buff","不勾选只会显示自己的", frame, "debuff")
	kssqc = newCheckbox(226, -330, frame, "快速拾取","增加拾取速度", frame, "sq")
	
	cvac = newCheckbox(446, -120, frame, "CVAR自动设置","自动配置一些CVAR", frame, "cvar")
	dbmc = newCheckbox(446, -150, frame, "DBM","DBM自动配置", frame, "dbm")
	mrtc = newCheckbox(446, -180, frame, "MRT","MRT自动配置,原exrt,聊天框右上角计时器和战复,", frame, "exrt")
	skdc = newCheckbox(446, -210, frame, "Skada/Details","自动定位和一些配置", frame, "skada")
	tinyc= newCheckbox(446, -240, frame, "其他插件自动设置","一些其他常用插件自动配置", frame, "tiny")

	local info = {}
	local TipDropdown = CreateFrame("Frame", "Tipcursor", frame, "UIDropDownMenuTemplate")
	TipDropdown:SetPoint("TOPLEFT", 0, -515)
	TipDropdown.initialize = function()
		wipe(info)
		local fonts = {1, 0, 2, 3}
		local names = {"鼠标提示:跟随", "鼠标提示:不跟随", "鼠标提示:非战斗跟随","鼠标提示:禁用"}
		for i, font in next, fonts do
			info.text = names[i]
			info.value = font
			info.func = function(self)
				AddUIDB.ftip = self.value
				TipcursorText:SetText(self:GetText())
			end
			info.checked = font == AddUIDB.ftip
			UIDropDownMenu_AddButton(info)
		end
		
	end
	local tiptextt 
	if AddUIDB.ftip == 1 then tiptextt = "鼠标提示:跟随"
	elseif AddUIDB.ftip == 0 then tiptextt = "鼠标提示:不跟随"
	elseif AddUIDB.ftip == 2 then tiptextt = "鼠标提示:非战斗跟随"
	elseif AddUIDB.ftip == 3 then tiptextt = "鼠标提示:禁用" end
	UIDropDownMenu_SetWidth(TipDropdown, 150)
	UIDropDownMenu_SetText(TipDropdown,tiptextt)
	
	
	local function newSlider(SliderName, x, y, minValue, maxValue, curValue, valueStep, lowText, highText, upText, tipText, varformat)
	local pSlider = CreateFrame("Slider", "Slider"..SliderName , frame, "OptionsSliderTemplate" );
	pSlider:SetPoint("TOPLEFT", frame, "TOPLEFT", x, y);
	pSlider:SetMinMaxValues(minValue, maxValue);
	pSlider:SetValue(curValue);
	pSlider:SetValueStep(valueStep);
	pSlider:SetObeyStepOnDrag(true);
	pSlider.textLow = _G["Slider"..SliderName.."Low"]
	pSlider.textHigh = _G["Slider"..SliderName.."High"]
	pSlider.text = _G["Slider"..SliderName.."Text"]
	pSlider.textLow:SetText(lowText)
	pSlider.textHigh:SetText(highText)
	pSlider.text:SetText("|cffFFD700"..upText.." :  "..string.format(varformat,pSlider:GetValue()).."|r")

	pSlider:SetScript("OnValueChanged", function(pSlider,event,arg1) 
			pSlider.text:SetText("|cffFFD700"..upText.." :  "..string.format(varformat,pSlider:GetValue()).."|r")
	end)
	pSlider.tooltipText = tipText
	-- body
	return pSlider
	end
	
	frame.Spell = newSlider("Spell", 280, -525, 0, 400, 400, 1, " ", " ", "施法序列延迟", "施法序列延迟","%d")
	frame.Spell:SetValue(AddUIDB.SpellQ)
	frame.Spell:HookScript("OnValueChanged", function(self, value)
		AddUIDB.SpellQ = tonumber(string.format("%d",self:GetValue()))
		SetCVar("SpellQueueWindow", AddUIDB.SpellQ) 
	end)

frame:SetScript("OnShow", nil)
end

myGUI.frame1:SetScript("OnShow", function(frame)
	CreatePanel(frame)
end)

InterfaceOptions_AddCategory(myGUI.frame1)

SLASH_AddUIC1 = "/ad"
SLASH_AddUIC2 = "/addui"
SlashCmdList["AddUIC"] = function() 
    InterfaceOptionsFrame_OpenToCategory(myGUI.frame1)
	InterfaceOptionsFrame_OpenToCategory(myGUI.frame1)
end
